Page MenuHomePhabricator

Remove autoincrement id from tables [5 pts]
Closed, ResolvedPublic

Description

Remove autoincrement id from tables, should not be needed by tokudb engine and it will reduce storage size.

Have in mind that code that checks for insertion of duplicates might use this field.

Event Timeline

Nuria created this task.Jan 27 2015, 6:28 PM
Nuria raised the priority of this task from to Needs Triage.
Nuria updated the task description. (Show Details)
Nuria added a subscriber: Nuria.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2015, 6:28 PM
Nuria triaged this task as High priority.Jan 27 2015, 6:30 PM
Nuria added a project: Analytics-EventLogging.
Nuria set Security to None.
ggellerman renamed this task from Remove autoincrement id from tables. to Remove autoincrement id from tables [5 pts].Feb 2 2015, 5:53 PM
Nuria claimed this task.Feb 3 2015, 12:30 AM
gerritbot added a subscriber: gerritbot.

Change 188270 had a related patch set uploaded (by Nuria):
[WIP] Removing autoincrement id from db tables

https://gerrit.wikimedia.org/r/188270

Patch-For-Review

Change 188270 merged by Milimetric:
Removing autoincrement id from db tables

https://gerrit.wikimedia.org/r/188270

Nuria closed this task as Resolved.Feb 9 2015, 8:15 PM
Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.

Hahah, @jcrespo, tables used to have an auto increment key.

"Have in mind that code that checks for insertion of duplicates might use this field." Then it proceeds to be ignored? Expect things to break now.